body {
    background: #3D3D3D;
    color: #E8E8E8;
    font-family: calibri;
    font-size: 16px; 
}


h1 {
    color: #0089FF;
    font-size: 32px;
    border-left: 6px solid #0089FF;
    padding-left: 6px;
    text-align: center;
    margin: 0 auto;
    width: fit-content; /*blokovy element je siroky jen tak jako je siroky obsah, ne cely raek*/
}


h2{
    color: #0089FF;
    text-decoration-line: underline;
}

h3{
    color: #0089FF;
}

a{
 color: #0089FF;
}


.container {
    display: flex;
    gap: 100px  
}

.postranni-panel {
    background: #595959;
    border: 4px solid #828282;
    border-radius: 15px;
    margin-top: 30px;
    margin-left: 30px;
    padding: 10px;
    transition: all 0.3s ease; /*plynulost (není v hoveru aby se plynulost vrátila*/
    flex-basis: 25%;
    align-self: flex-start;
}

.postranni-panel:hover {
    transform: scale(1.02); /*zvetšení*/;   
}

.hlavni-obsah {
    flex-basis: 75%;
}



/**** Hero sekce ****/
.hero-sekce {
    min-height: 60vh;
    display: flex;
    flex-direction: column;

    text-align: center;
    color: white;

    background:
        linear-gradient(rgba(0,0,0,0.5), rgba(0,0,0,0.5)),
        var(--hero-img, url('img/agro-haje.jpg'));

    background-size: cover;
    background-position: center;
}


.hero-obsah {
    flex: 1;
    margin-bottom: 10px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.hero-obsah h1 {
    font-size: 2.5rem;
}
.hero-obsah p {
    font-size: 1.1rem;
    margin-top: 10px;
}


/***MENU***/

.menu {
    width: 100%;
    background: transparent;
}

.menu ul{
    padding: 20px;
    list-style: none;
    display: flex;
    gap: 10px;
    justify-content: center;
}

.menu a{
    background-color: rgba(0, 0, 0, 0.3);
    color: #E8E8E8;
    text-decoration: none;
    padding: 10px;
    margin: 10px;
    /*border: 3px solid #808080;*/
    border-radius: 10px;
}
.menu a:hover{
    color: #0089FF;
}

.logo img{
    margin: 40px;
}



/***FORMULAR***/

label {
    border: solid 2px #0089FF;
    border-radius: 10px;
    background-color: #0089FF;
    padding: 8px;
    display: inline-block; /* Umožní správné fungování okrajů */
    margin-top: 15px;
    margin-bottom: 8px;    /* Tímto vytvoříš mezeru mezi labelem a inputem */
}

label.bez-zlute {
    border: none;
    background-color: transparent;
    padding: 0;
    margin: 0 0 0 5px;
    display: inline; 
}

input[type="text"], input[type="email"], textarea, select {
    width: 60%;
    padding: 10px;
    margin: 10px 10px 0px 20px; 
}

.poznamka {
    font-size: 10px;
    margin-top: 0px;
    margin-bottom: 15px;
    margin-left: 20px;
}

p.zlute-pozadi {
    border: solid 2px #0089FF;
    border-radius: 10px;
    background-color: #0089FF;
    padding: 8px;
    margin: 15px 0px;
    display: table;
}




@media (max-width: 1000px) {
    body {
        font-size: 14px;
    }

    .container {
        flex-direction: column;
    }

    .postranni-panel, .hlavni-obsah {
        flex-basis: 100%;
    }


    /* obr na sirku vice */
    .hero-sekce {
        min-height: 35vh;
        padding-top: 60px;
    }

    .hero-obsah h1 {
        font-size: 1.8rem;
    }

    /*poskaldani tlacitek*/
    .menu ul {
        flex-wrap: wrap;
        padding: 5px;
        gap: 5px;
    }

    .menu a {
        margin: 2px;
        padding: 6px 10px;
        font-size: 12px;
        display: inline-block;
    }
    
    
    .logo img {
        margin: 10px;
        max-height: 40px; 
    }
}